about summary refs log tree commit diff
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2003-04-23T21·21+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2003-04-23T21·21+0000
commit49e0d743d7348ba15f6c8125138c4e17b271d8c3 (patch)
tree4c21b4e3642b1da3d50414c2628fc7377c5573bb
parentf546e0cda450642177da02895f39f34e3ce1a6ff (diff)
* Fix descriptors for Pan and its dependencies.
-rwxr-xr-xtest/build/atk-build.sh16
-rwxr-xr-xtest/build/gnet-build.sh14
-rwxr-xr-xtest/build/gtk+-build.sh14
-rwxr-xr-xtest/build/gtkspell-build.sh14
-rwxr-xr-xtest/build/pan-build-2.sh14
-rwxr-xr-xtest/build/pango-build.sh16
-rwxr-xr-xtest/build/pspell-build.sh14
-rw-r--r--test/fixdescriptors/atk-1.2.0.fix11
-rw-r--r--test/fixdescriptors/gnet-1.1.8.fix11
-rw-r--r--test/fixdescriptors/gtk+-2.2.1.fix13
-rw-r--r--test/fixdescriptors/gtkspell-2.0.2.fix15
-rw-r--r--test/fixdescriptors/pan-0.13.95.fix17
-rw-r--r--test/fixdescriptors/pango-1.2.1.fix11
-rw-r--r--test/fixdescriptors/pspell-.12.2.fix8
-rw-r--r--test/fixdescriptors/system.fix9
15 files changed, 145 insertions, 52 deletions
diff --git a/test/build/atk-build.sh b/test/build/atk-build.sh
index 58d190aefa23..632dbe12fbc4 100755
--- a/test/build/atk-build.sh
+++ b/test/build/atk-build.sh
@@ -4,11 +4,11 @@ export PATH=$pkgconfig/bin:/bin:/usr/bin
 export PKG_CONFIG_PATH=$glib/lib/pkgconfig
 export LD_LIBRARY_PATH=$glib/lib
 
-top=`pwd`
-tar xvfj $src
-cd atk-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf atk-*
+top=`pwd` || exit 1
+tar xvfj $src || exit 1
+cd atk-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf atk-* || exit 1
diff --git a/test/build/gnet-build.sh b/test/build/gnet-build.sh
index 9752994a11ec..72141c2687ae 100755
--- a/test/build/gnet-build.sh
+++ b/test/build/gnet-build.sh
@@ -5,10 +5,10 @@ export PKG_CONFIG_PATH=$glib/lib/pkgconfig
 export LD_LIBRARY_PATH=$glib/lib
 
 top=`pwd`
-tar xvfz $src
-cd gnet-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf gnet-*
+tar xvfz $src || exit 1
+cd gnet-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf gnet-* || exit 1
diff --git a/test/build/gtk+-build.sh b/test/build/gtk+-build.sh
index 8451a2d4e1ba..3b663fec5f05 100755
--- a/test/build/gtk+-build.sh
+++ b/test/build/gtk+-build.sh
@@ -5,10 +5,10 @@ export PKG_CONFIG_PATH=$glib/lib/pkgconfig:$atk/lib/pkgconfig:$pango/lib/pkgconf
 export LD_LIBRARY_PATH=$glib/lib:$atk/lib:$pango/lib
 
 top=`pwd`
-tar xvfj $src
-cd gtk+-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf gtk+-*
+tar xvfj $src || exit 1
+cd gtk+-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf gtk+-* || exit 1
diff --git a/test/build/gtkspell-build.sh b/test/build/gtkspell-build.sh
index 009e1133ccb2..d4267b302822 100755
--- a/test/build/gtkspell-build.sh
+++ b/test/build/gtkspell-build.sh
@@ -6,10 +6,10 @@ export LD_LIBRARY_PATH=$glib/lib:$atk/lib:$pango/lib:$gtk/lib:$pspell/lib
 export C_INCLUDE_PATH=$pspell/include
 
 top=`pwd`
-tar xvfz $src
-cd gtkspell-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf gtkspell-*
+tar xvfz $src || exit 1
+cd gtkspell-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf gtkspell-* || exit 1
diff --git a/test/build/pan-build-2.sh b/test/build/pan-build-2.sh
index 87dd4e6a1b02..8320cb0102f9 100755
--- a/test/build/pan-build-2.sh
+++ b/test/build/pan-build-2.sh
@@ -11,10 +11,10 @@ export LIBRARY_PATH=$pspell/lib
 export LDFLAGS=-s
 
 top=`pwd`
-tar xvfj $src
-cd pan-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf pan-*
+tar xvfj $src || exit 1
+cd pan-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf pan-* || exit 1
diff --git a/test/build/pango-build.sh b/test/build/pango-build.sh
index 4ed76f76ab5b..42a2758025cf 100755
--- a/test/build/pango-build.sh
+++ b/test/build/pango-build.sh
@@ -4,11 +4,11 @@ export PATH=$pkgconfig/bin:/bin:/usr/bin
 export PKG_CONFIG_PATH=$glib/lib/pkgconfig
 export LD_LIBRARY_PATH=$glib/lib
 
-top=`pwd`
-tar xvfj $src
-cd pango-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf pango-*
+top=`pwd` || exit 1
+tar xvfj $src || exit 1
+cd pango-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf pango-* || exit 1
diff --git a/test/build/pspell-build.sh b/test/build/pspell-build.sh
index 57fb1dcbd1ee..862bb25e6159 100755
--- a/test/build/pspell-build.sh
+++ b/test/build/pspell-build.sh
@@ -3,10 +3,10 @@
 export PATH=/bin:/usr/bin
 
 top=`pwd`
-tar xvfz $src
-cd pspell-*
-./configure --prefix=$top
-make
-make install
-cd ..
-rm -rf pspell-*
+tar xvfz $src || exit 1
+cd pspell-* || exit 1
+./configure --prefix=$top || exit 1
+make || exit 1
+make install || exit 1
+cd $top || exit 1
+rm -rf pspell-* || exit 1
diff --git a/test/fixdescriptors/atk-1.2.0.fix b/test/fixdescriptors/atk-1.2.0.fix
new file mode 100644
index 000000000000..74e560327ca3
--- /dev/null
+++ b/test/fixdescriptors/atk-1.2.0.fix
@@ -0,0 +1,11 @@
+Descr(
+  [ Bind("pkgId", Str("atk-1.2.0"))
+  , Bind("releaseId", Str("1"))
+
+  , Bind("pkgconfig", Pkg(Fix("./pkgconfig-0.15.0.fix")))
+  , Bind("glib", Pkg(Fix("./glib-2.2.1.fix")))
+
+  , Bind("src", File(Url("ftp://ftp.gtk.org/pub/gtk/v2.2/atk-1.2.0.tar.bz2")))
+  , Bind("build", File(Local("../build/atk-build.sh")))
+  ]
+)
diff --git a/test/fixdescriptors/gnet-1.1.8.fix b/test/fixdescriptors/gnet-1.1.8.fix
new file mode 100644
index 000000000000..34d9d10cd19f
--- /dev/null
+++ b/test/fixdescriptors/gnet-1.1.8.fix
@@ -0,0 +1,11 @@
+Descr(
+  [ Bind("pkgId", Str("gnet-1.1.8"))
+  , Bind("releaseId", Str("1"))
+
+  , Bind("pkgconfig", Pkg(Fix("./pkgconfig-0.15.0.fix")))
+  , Bind("glib", Pkg(Fix("./glib-2.2.1.fix")))
+
+  , Bind("src", File(Url("http://www.gnetlibrary.org/src/gnet-1.1.8.tar.gz")))
+  , Bind("build", File(Local("../build/gnet-build.sh")))
+  ]
+)
diff --git a/test/fixdescriptors/gtk+-2.2.1.fix b/test/fixdescriptors/gtk+-2.2.1.fix
new file mode 100644
index 000000000000..6793cac451be
--- /dev/null
+++ b/test/fixdescriptors/gtk+-2.2.1.fix
@@ -0,0 +1,13 @@
+Descr(
+  [ Bind("pkgId", Str("gtk+-2.2.1"))
+  , Bind("releaseId", Str("1"))
+
+  , Bind("pkgconfig", Pkg(Fix("./pkgconfig-0.15.0.fix")))
+  , Bind("glib", Pkg(Fix("./glib-2.2.1.fix")))
+  , Bind("atk", Pkg(Fix("./atk-1.2.0.fix")))
+  , Bind("pango", Pkg(Fix("./pango-1.2.1.fix")))
+
+  , Bind("src", File(Url("ftp://ftp.gtk.org/pub/gtk/v2.2/gtk+-2.2.1.tar.bz2")))
+  , Bind("build", File(Local("../build/gtk+-build.sh")))
+  ]
+)
diff --git a/test/fixdescriptors/gtkspell-2.0.2.fix b/test/fixdescriptors/gtkspell-2.0.2.fix
new file mode 100644
index 000000000000..e6d614f64a5d
--- /dev/null
+++ b/test/fixdescriptors/gtkspell-2.0.2.fix
@@ -0,0 +1,15 @@
+Descr(
+  [ Bind("pkgId", Str("gtkspell-2.0.2"))
+  , Bind("releaseId", Str("1"))
+
+  , Bind("pkgconfig", Pkg(Fix("./pkgconfig-0.15.0.fix")))
+  , Bind("glib", Pkg(Fix("./glib-2.2.1.fix")))
+  , Bind("atk", Pkg(Fix("./atk-1.2.0.fix")))
+  , Bind("pango", Pkg(Fix("./pango-1.2.1.fix")))
+  , Bind("gtk", Pkg(Fix("./gtk+-2.2.1.fix")))
+  , Bind("pspell", Pkg(Fix("./pspell-.12.2.fix")))
+
+  , Bind("src", File(Url("http://pan.rebelbase.com/download/extras/gtkspell/SOURCES/gtkspell-2.0.2.tar.gz")))
+  , Bind("build", File(Local("../build/gtkspell-build.sh")))
+  ]
+)
diff --git a/test/fixdescriptors/pan-0.13.95.fix b/test/fixdescriptors/pan-0.13.95.fix
new file mode 100644
index 000000000000..3a32756b66c5
--- /dev/null
+++ b/test/fixdescriptors/pan-0.13.95.fix
@@ -0,0 +1,17 @@
+Descr(
+  [ Bind("pkgId", Str("pan-0.13.95"))
+  , Bind("releaseId", Str("2"))
+
+  , Bind("pkgconfig", Pkg(Fix("./pkgconfig-0.15.0.fix")))
+  , Bind("glib", Pkg(Fix("./glib-2.2.1.fix")))
+  , Bind("atk", Pkg(Fix("./atk-1.2.0.fix")))
+  , Bind("pango", Pkg(Fix("./pango-1.2.1.fix")))
+  , Bind("gtk", Pkg(Fix("./gtk+-2.2.1.fix")))
+  , Bind("gnet", Pkg(Fix("./gnet-1.1.8.fix")))
+  , Bind("pspell", Pkg(Fix("./pspell-.12.2.fix")))
+  , Bind("gtkspell", Pkg(Fix("./gtkspell-2.0.2.fix")))
+
+  , Bind("src", File(Url("http://pan.rebelbase.com/download/releases/0.13.95/SOURCE/pan-0.13.95.tar.bz2")))
+  , Bind("build", File(Local("../build/pan-build-2.sh")))
+  ]
+)
diff --git a/test/fixdescriptors/pango-1.2.1.fix b/test/fixdescriptors/pango-1.2.1.fix
new file mode 100644
index 000000000000..7ee2486a6dce
--- /dev/null
+++ b/test/fixdescriptors/pango-1.2.1.fix
@@ -0,0 +1,11 @@
+Descr(
+  [ Bind("pkgId", Str("pango-1.2.1"))
+  , Bind("releaseId", Str("1"))
+
+  , Bind("pkgconfig", Pkg(Fix("./pkgconfig-0.15.0.fix")))
+  , Bind("glib", Pkg(Fix("./glib-2.2.1.fix")))
+
+  , Bind("src", File(Url("ftp://ftp.gtk.org/pub/gtk/v2.2/pango-1.2.1.tar.bz2")))
+  , Bind("build", File(Local("../build/pango-build.sh")))
+  ]
+)
diff --git a/test/fixdescriptors/pspell-.12.2.fix b/test/fixdescriptors/pspell-.12.2.fix
new file mode 100644
index 000000000000..f19600c25935
--- /dev/null
+++ b/test/fixdescriptors/pspell-.12.2.fix
@@ -0,0 +1,8 @@
+Descr(
+  [ Bind("pkgId", Str("pspell-.12.2"))
+  , Bind("releaseId", Str("1"))
+
+  , Bind("src", File(Url("http://unc.dl.sourceforge.net/sourceforge/pspell/pspell-.12.2.tar.gz")))
+  , Bind("build", File(Local("../build/pspell-build.sh")))
+  ]
+)
diff --git a/test/fixdescriptors/system.fix b/test/fixdescriptors/system.fix
index 62c056007182..62d4eae406a7 100644
--- a/test/fixdescriptors/system.fix
+++ b/test/fixdescriptors/system.fix
@@ -1,10 +1,17 @@
 Descr(
   [ Bind("pkgId", Str("system"))
-  , Bind("releaseId", Str("1"))
+  , Bind("releaseId", Str("2"))
 
   , Bind("actATerm", Pkg(Fix("./aterm-2.0.fix")))
   , Bind("actPkgConfig", Pkg(Fix("./pkgconfig-0.15.0.fix")))
   , Bind("actGlib", Pkg(Fix("./glib-2.2.1.fix")))
+  , Bind("actAtk", Pkg(Fix("./atk-1.2.0.fix")))
+  , Bind("actPango", Pkg(Fix("./pango-1.2.1.fix")))
+  , Bind("actGtk", Pkg(Fix("./gtk+-2.2.1.fix")))
+  , Bind("actGnet", Pkg(Fix("./gnet-1.1.8.fix")))
+  , Bind("actPspell", Pkg(Fix("./pspell-.12.2.fix")))
+  , Bind("actGtkspell", Pkg(Fix("./gtkspell-2.0.2.fix")))
+  , Bind("actPan", Pkg(Fix("./pan-0.13.95.fix")))
   , Bind("actSubversion", Pkg(Fix("./subversion-0.21.0.fix")))
 
   , Bind("build", File(Local("../../scripts/nix-populate")))